Search documentation of wx

# View Source wxActivateEvent (wx v2.4.2)

Functions for wxActivateEvent class

An activate event is sent when a window or application is being activated or deactivated.

Note: Until wxWidgets 3.1.0 activation events could be sent by wxMSW when the window was minimized. This reflected the native MSW behaviour but was often surprising and unexpected, so starting from 3.1.0 such events are not sent any more when the window is in the minimized state.

See: Overview events, `wxApp::IsActive` (not implemented in wx)

This class is derived (and can use functions) from: `wxEvent`

wxWidgets docs: wxActivateEvent

## Events

Use `wxEvtHandler:connect/3` with `wxActivateEventType` to subscribe to events of this type.

# Summary

## Types

wxActivate()
wxActivateEvent()
wxActivateEventType()

## Functions

getActive(This)

Returns true if the application or window is being activated, false otherwise.

# Types

Link to this type

# wxActivate()

View Source

    -type wxActivate() :: #wxActivate{type :: wxActivateEvent:wxActivateEventType(), active :: boolean()}.

Link to this type

# wxActivateEvent()

View Source

    -type wxActivateEvent() :: wx:wx_object().

Link to this type

# wxActivateEventType()

View Source

    -type wxActivateEventType() :: activate | activate_app | hibernate.

# Functions

Link to this function

# getActive(This)

View Source

    -spec getActive(This) -> boolean() when This :: wxActivateEvent().

Returns true if the application or window is being activated, false otherwise.